- breadcrumb_title "CI / CD 设置"
- page_title "CI / CD"

- expanded = Rails.env.test?

%section.settings#ci-variables.no-animate{ class: ('expanded' if expanded) }
  .settings-header
    = render 'ci/variables/header', expanded: expanded
  .settings-content
    = render 'ci/variables/index', save_endpoint: group_variables_path

%section.settings#runners-settings.no-animate{ class: ('expanded' if expanded) }
  .settings-header
    %h4
      = _('Runners')
    %button.btn.btn-default.js-settings-toggle{ type: "button" }
      = expanded ? _('Collapse') : _('Expand')
    %p
      = _('Register and see your runners for this group.')
  .settings-content
    = render 'groups/runners/index'

%section.settings#auto-devops-settings.no-animate{ class: ('expanded' if expanded) }
  .settings-header
    %h4
      = _('Auto DevOps')
    %button.btn.btn-default.js-settings-toggle{ type: "button" }
      = expanded ? _('Collapse') : _('Expand')
    %p
      - auto_devops_url = help_page_path('topics/autodevops/index')
      - auto_devops_start = '<a href="%{url}" target="_blank" rel="noopener noreferrer">'.html_safe % { url: auto_devops_url }
      = s_('GroupSettings|Auto DevOps will automatically build, test and deploy your application based on a predefined Continuous Integration and Delivery configuration. %{auto_devops_start}Learn more about Auto DevOps%{auto_devops_end}').html_safe % { auto_devops_start: auto_devops_start, auto_devops_end: '</a>'.html_safe }

  .settings-content
    = render 'groups/settings/ci_cd/auto_devops_form', group: @group
